Subject: Re: Booting from RAM Disk

From: Grant Likely <[email-masked]>
Date: Fri, 06 Jan 2006 22:34:58 -0700

David H. Lynch Jr. wrote:
> 	initramfs does nto exist in 2.4, but despite a dearth of information it
> works extremely well in 2.6.
> 
> 	Set CONFIG_INITRAMFS=path to directory tree to build into ramdisk, and
> the kernel building process will take care of most evrything else.
> Unlike initrd, there are not two separate files, that each have to be
> loaded. The initial ramdisk is part of the kernel image, gets
> uncompressed by the kernel, and is just generally painless - except for
> the scarcity of documentation.
So... have are been able to use initramfs as a drop in replacement for
initrd, or did you have to jump through extra hoops?  I attempted to use
initramfs a few months ago, but wasn't ever able to get it to run init.

g.

-- 
Grant Likely, B.Sc. P.Eng.
Secret Lab Technologies Ltd.
(403) 663-0761